APIs / GitHub / Repository Files

GitHub: Repository Files

Repository Files from GitHub as JSON. 1 credit per successful call.

GET /v1/github/repository-files

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
ownerstringRequiredUp to 39 characters
repostringRequiredUp to 100 characters
pathstringOptionalUp to 400 characters
refstringOptionalUp to 255 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/github/repository-files?owner=laravel&repo=framework&path=src%2FIlluminate&ref=13.x" \
  -H "X-API-Key: $API_KEY"